> For the complete documentation index, see [llms.txt](https://docs.codebattles.ru/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.codebattles.ru/en_v3/system-setup-and-installation/ustanovka/production-ustanovka.md).

# Production Installation

## Docker

{% hint style="warning" %}
If Docker has not been installed before, please install it. Nothing will work without it [\[Installation Guide Link\]](https://docs.docker.com/engine/install/)
{% endhint %}

### Set Environment Variables

Example: <https://github.com/CodeBattles-nn/codebattles/blob/new_backend/.env.example>

{% code title=".env.example" lineNumbers="true" %}

```properties
DB_USER=dfvdsdfvsdswvdfvdsvdfvdf
DB_PASSWORD=dvnsevhjeiwurowuqvhjevfvuodfb
DB_NAME=cb

```

{% endcode %}

{% stepper %}
{% step %}

#### Create a .env File

The structure can be found in .env.example
{% endstep %}

{% step %}

#### Set Complex Settings

In the .env file
{% endstep %}
{% endstepper %}

### Select Your Architecture

{% tabs %}
{% tab title="x64" %}
To install, you need to download the repository and deploy the Docker compose Container

pulling images from the repository:

```bash
docker compose -f prod-docker-compose.yml pull
```

starting:

```sh
docker compose -f prod-docker-compose.yml up
```

{% endtab %}

{% tab title="other" %}
To install, you need to download the repository and deploy the Docker compose Container

building images:

```bash
docker compose -f prod-docker-compose.yml build
```

starting:

```sh
docker compose -f prod-docker-compose.yml up
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
To run containers in the background, use the *<mark style="color:blue;">**-d**</mark>* flag

Example:

{% code fullWidth="false" %}

```bash
docker compose up -f prod-docker-compose.yml -d
```

{% endcode %}
{% endhint %}

After this, please configure the programming languages. This is described on the next page


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.codebattles.ru/en_v3/system-setup-and-installation/ustanovka/production-ustanovka.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
